## Bsoft program

# borient

### Usage: borient [options] input.star [input.star]

Determines the orientations and origins of single particles with respect to a reference.
Options -resolution and -bands are mutually exclusive.

### Actions:

-mode scc | Mode: 0,pps: polar power spectrum only (fast, default),
| 1,scc: polar power spectrum with selected cross correlation.
| 2,ccc: polar power spectrum with all cross correlation (slow).
| 3,ori: origin determination by cross correlation.
-CTF | Apply CTF to projections (default not).
-all | Reset selection to all particles before other selections (default not).
-side 15 | Generate side view projections within the given angle from the equator.
-bin 2 | Binning by given kernel size (default 1).
-prepare 45 | Prepare a set of particle images as 2D references.

### Parameters:

-verbose 1 | Verbosity of output.
-select 14 | Selection number of particles to process (default all selected).
-symmetry C5 | Point group symmetry.
-angles 2.5,5.2 | Step size for theta and phi, one value sets both (default 45 degrees).
-sampling 1.5,1.5,1.5 | Sampling (A/pixel; a single value can be given.)
-resolution 20,360 | High and low resolution limits (angstrom).
-polarresolution 23.5 | Resolution limit for in-plane angular alignment (angstrom).
-bands 250,-1,150,1,30,0 | Bands for analysis in reciprocal space (pairs of numbers: angstrom,flag).
| Band with 0: Not used - end flag.
| Band with 1: Use for orientation determination.
| Band with -1: Use for cross-validation.
-annuli 2,95 | Real space annular limits (default 0,inf pixels).
-shiftlimit 3.5 | Limit on origin shift relative to nominal center (default 10% of box edge size).
-rotationlimit 16.7 | Limit on in-plane rotation change from input orientation (default not applied).
-edge 125 | Edge mask radius using previous particle origins (default not used).
-fom 0.3 | Set FOM threshold for selection (default 0).
-nothreads | Do not use threads (default parallel processing).

### Input:

-reference file.ext | Input 3D reference map or projection file.
-mask mask.mrc | Real space 2D mask to be applied to projections and particles.

### Output:

-output file.star | Output parameter file.
-log | Write particle log files to directory "log".
-ppx | Write temporary particle parameter files to directory "ppx".
-TwoD file.ext | File name for 2D real space reconstruction.
-oriented | Output oriented images with file names ending with "_proj.spi".
| (must be used with the -TwoD option).

Bsoft version 2.0.3-20180917 (64 bit)